<div align="center">
<h1>generator-kcd-oss</h1>

<p>An open source project generator for my open source projects :)</p>
</div>

---

<!-- prettier-ignore-start -->
[![Build Status][build-badge]][build]
[![version][version-badge]][package]
[![downloads][downloads-badge]][npmtrends]
[![MIT License][license-badge]][license]
[![All Contributors][all-contributors-badge]](#contributors-)
[![PRs Welcome][prs-badge]][prs]
[![Code of Conduct][coc-badge]][coc]
<!-- prettier-ignore-end -->

## The problem

I have to do a lot of repetitive stuff every time I set up a new open source
project.

## This solution

This is a yeoman generator for my open source projects

## Table of Contents

<!-- START doctoc generated TOC please keep comment here to allow auto update -->
<!-- DON'T EDIT THIS SECTION, INSTEAD RE-RUN doctoc TO UPDATE -->

- [Installation](#installation)
  - [Try Without Installing](#try-without-installing)
- [Usage](#usage)
- [Inspiration](#inspiration)
- [Issues](#issues)
  - [🐛 Bugs](#-bugs)
  - [💡 Feature Requests](#-feature-requests)
- [Contributors ✨](#contributors-)
- [LICENSE](#license)

<!-- END doctoc generated TOC please keep comment here to allow auto update -->

## Installation

This module is distributed via [npm][npm] which is bundled with [node][node] and
should be installed globally (with `yo`):

```sh
npm install -g generator-kcd-oss yo
```

### Try Without Installing

```sh
npx -p yo -p generator-kcd-oss -c 'yo kcd-oss'
```

## Usage

```sh
yo kcd-oss
```

Follow the prompts...

## Inspiration

I referenced [@sindresorhus][sindresorhus]'s [module][generator-nm] heavily.

## Issues

_Looking to contribute? Look for the [Good First Issue][good-first-issue]
label._

### 🐛 Bugs

Please file an issue for bugs, missing documentation, or unexpected behavior.

[**See Bugs**][bugs]

### 💡 Feature Requests

Please file an issue to suggest new features. Vote on feature requests by adding
a 👍. This helps maintainers prioritize what to work on.

[**See Feature Requests**][requests]

## Contributors ✨

Thanks goes to these people ([emoji key][emojis]):

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tr>
    <td align="center"><a href="https://kentcdodds.com"><img src="https://avatars.githubusercontent.com/u/1500684?v=3" width="100px;" alt=""/><br /><sub><b>Kent C. Dodds</b></sub></a><br /><a href="https://github.com/kentcdodds/generator-kcd-oss/commits?author=kentcdodds" title="Code">💻</a> <a href="https://github.com/kentcdodds/generator-kcd-oss/commits?author=kentcdodds" title="Documentation">📖</a> <a href="#infra-kentcdodds" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a></td>
    <td align="center"><a href="https://github.com/reznord"><img src="https://avatars0.githubusercontent.com/u/3415488?v=4" width="100px;" alt=""/><br /><sub><b>Anup</b></sub></a><br /><a href="https://github.com/kentcdodds/generator-kcd-oss/commits?author=reznord" title="Documentation">📖</a></td>
    <td align="center"><a href="https://edm00se.codes/"><img src="https://avatars3.githubusercontent.com/u/622118?v=4" width="100px;" alt=""/><br /><sub><b>Eric McCormick</b></sub></a><br /><a href="https://github.com/kentcdodds/generator-kcd-oss/commits?author=edm00se" title="Documentation">📖</a></td>
    <td align="center"><a href="https://michaeldeboey.be"><img src="https://avatars3.githubusercontent.com/u/6643991?v=4" width="100px;" alt=""/><br /><sub><b>Michaël De Boey</b></sub></a><br /><a href="https://github.com/kentcdodds/generator-kcd-oss/commits?author=MichaelDeBoey" title="Code">💻</a> <a href="https://github.com/kentcdodds/generator-kcd-oss/commits?author=MichaelDeBoey" title="Documentation">📖</a></td>
    <td align="center"><a href="https://matan.io"><img src="https://avatars2.githubusercontent.com/u/12711091?v=4" width="100px;" alt=""/><br /><sub><b>Matan Borenkraout</b></sub></a><br /><a href="https://github.com/kentcdodds/generator-kcd-oss/commits?author=MatanBobi" title="Code">💻</a></td>
    <td align="center"><a href="https://nickmccurdy.com/"><img src="https://avatars0.githubusercontent.com/u/927220?v=4" width="100px;" alt=""/><br /><sub><b>Nick McCurdy</b></sub></a><br /><a href="https://github.com/kentcdodds/generator-kcd-oss/commits?author=nickmccurdy" title="Documentation">📖</a> <a href="https://github.com/kentcdodds/generator-kcd-oss/commits?author=nickmccurdy" title="Code">💻</a></td>
  </tr>
</table>

<!-- markdownlint-enable -->
<!-- prettier-ignore-end -->

<!-- ALL-CONTRIBUTORS-LIST:END -->

This project follows the [all-contributors][all-contributors] specification.
Contributions of any kind welcome!

## LICENSE

MIT

<!-- prettier-ignore-start -->
[npm]: https://www.npmjs.com
[node]: https://nodejs.org
[build-badge]: https://img.shields.io/github/workflow/status/kentcdodds/generator-kcd-oss/validate?logo=github&style=flat-square
[build]: https://github.com/kentcdodds/generator-kcd-oss/actions?query=workflow%3Avalidate
[version-badge]: https://img.shields.io/npm/v/generator-kcd-oss.svg?style=flat-square
[package]: https://www.npmjs.com/package/generator-kcd-oss
[downloads-badge]: https://img.shields.io/npm/dm/generator-kcd-oss.svg?style=flat-square
[npmtrends]: https://www.npmtrends.com/generator-kcd-oss
[license-badge]: https://img.shields.io/npm/l/generator-kcd-oss.svg?style=flat-square
[license]: https://github.com/kentcdodds/generator-kcd-oss/blob/master/LICENSE
[prs-badge]: https://img.shields.io/badge/PRs-welcome-brightgreen.svg?style=flat-square
[prs]: https://makeapullrequest.com
[coc-badge]: https://img.shields.io/badge/code%20of-conduct-ff69b4.svg?style=flat-square
[coc]: https://github.com/kentcdodds/generator-kcd-oss/blob/master/CODE_OF_CONDUCT.md
[emojis]: https://github.com/all-contributors/all-contributors#emoji-key
[all-contributors]: https://github.com/all-contributors/all-contributors
[all-contributors-badge]: https://img.shields.io/github/all-contributors/kentcdodds/generator-kcd-oss?color=orange&style=flat-square
[bugs]: https://github.com/kentcdodds/generator-kcd-oss/issues?utf8=%E2%9C%93&q=is%3Aissue+is%3Aopen+sort%3Acreated-desc+label%3Abug
[requests]: https://github.com/kentcdodds/generator-kcd-oss/issues?utf8=%E2%9C%93&q=is%3Aissue+is%3Aopen+sort%3Areactions-%2B1-desc+label%3Aenhancement
[good-first-issue]: https://github.com/kentcdodds/generator-kcd-oss/issues?utf8=%E2%9C%93&q=is%3Aissue+is%3Aopen+sort%3Areactions-%2B1-desc+label%3Aenhancement+label%3A%22good+first+issue%22

[sindresorhus]: https://github.com/sindresorhus
[generator-nm]: https://github.com/sindresorhus/generator-nm
<!-- prettier-ignore-end -->
